INTERFACE
SUBROUTINE INV_REFL1DSTAT(KDLEN,KDBDY,KLEN,KHORIZ,KDCOUNT,KCOUNT,KPNLV,PTF5,PQF5,&
 & PREFL2D,PGEOPF5,PPRESF5,KDPP) 
USE PARKIND1,ONLY : JPIM, JPRB
USE YOMDIM ,ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN,KDBDY,KLEN,KDCOUNT,KHORIZ
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
INTEGER(KIND=JPIM),INTENT(IN),DIMENSION(KLEN) :: KCOUNT
INTEGER(KIND=JPIM),INTENT(IN),DIMENSION(KDLEN,KDBDY) :: KPNLV
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,1:NFLEVG,KHORIZ) :: PTF5,PQF5
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,KDCOUNT,KDPP,KHORIZ) :: PREFL2D
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,NFLEVG,KHORIZ) :: PGEOPF5, PPRESF5
END SUBROUTINE INV_REFL1DSTAT
END INTERFACE
